BuildRequires: acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel gpm grep groff gzip info less libacl libattr libstdc++ m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools openssl pam patch popt procps psmisc rcs readline sed strace tar texinfo unzip util-linux zlib zlib-devel arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel gdbm gettext glib2 glib2-devel kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl python qt3 qt3-devel rpm pkgconfig

%if 0%{?suse_version} == 930 || 0%{?suse_version} == 1000
BuildRequires: update-desktop-files
%endif

%if 0%{?fedora_version} == 9
BuildRequires:  compat-gcc-34 compat-gcc-34-c++
%else
BuildRequires:	gcc gcc-c++ libgcc
%endif

%define smptag %(uname -a|awk '{print $5}')

Name: kvpnc
License: GPL
Group: Productivity/Networking/System
Summary: KDE frontend for various vpn clients
Summary(de): KDE-Oberflaeche fuer verschiedene VPN-Clients
Vendor: LINUX-ADMINISTRATOR.COM
Packager: Carsten Schoene <cs@linux-administrator.com>
Version: 0.9.0
Release: 8.1
URL: http://kvpnc.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: %{name}-%{version}.tar.bz2

%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq
%endif

%description -l de
KVpnc ist eine KDE-Oberflaeche fuer verschiedene VPN-Clients. Es unterstuetzt Cisco VPN (vpnc) und IPSec (FreeS/WAN, racoon).
vpnc ist eine Ersetzung fuer den Cisco VPN-Client und er wird als Client fuer den cisco3000 VPN-Konzentrator benutzt,
FreeS/WAN (OpenS/WAN) ist ein IPSec-Client fuer Linux 2.4.x und racoon ist ein IPSec-Client fuer Linux 2.6.x und *BSD.
Es unterstuetzt auch PPTP (pptpclient) und OpenVPN.

%description
KVpnc is a KDE frontend for various vpn clients. It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
vpnc is a replacement for the cisco VPN client and its used as client for the cisco3000 VPN Concentrator, 
FreeS/WAN (OpenS/WAN) is a IPSec client for Linux 2.4.x and racoon is a IPSec client for Linux 2.6.x and *BSD.
It supports also PPTP (pptpclient) and OpenVPN.



Authors:
--------
    Christoph Thielecke <crissi99@gmx.de>

%if ! 0%{?fedora_version} >= 9
%debug_package
%endif

%prep
%setup -q -n %{name}-%{version}

%build
%if 0%{?suse_version}
        . /etc/opt/kde3/common_options
        export QTDIR=%_libdir/qt3
        CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./configure $configkde --disable-final --libdir=$kde_libdir \
%else

%if 0%{?centos_version} == 4
	source "%{_sysconfdir}/profile.d/qt.sh"
	CFLAGS="`pkg-config --libs qt-mt`" CPPFLAGS="`pkg-config --libs qt-mt`" \
%endif
%if 0%{?fedora_version} == 9
        CC="gcc34" CXX="g++34" \
%endif
        ./configure --prefix=%{_prefix} --libdir=%{_libdir} \
%endif
%if 0%{?centos_version} == 4
	--with-xinerama \
	--with-extra-libs=%{_libdir} \
%endif
        --disable-rpath

if [ %{smptag} = SMP ]; then
        %{__make} -j2
else
        %{__make}
fi

%install
iconv -f iso8859-1 -t utf-8 src/kvpnc.desktop > w && mv w src/kvpnc.desktop
make DESTDIR=$RPM_BUILD_ROOT install-strip
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/kvpnc
%if 0%{?suse_version}
        %suse_update_desktop_file %name System Network
%endif
%find_lang %name


cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf ../file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Mon Dec 24 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.9.0
- nt domain name fixed for pptp
- keeping default route on pptp fixed
- setting route to vpn server if replace default route fixed
- removing additional network routes fixed
- connection hangs because no data from management interface was recieved fixed on openvpn
- save only profiles after dialog if needed (openvpn)
- tunnel interface now better regonized (openvpn)
- the network interface now can be manually typed in at addroutedialog
- openvpn resolv.conf handling fixed
- crash at logviewer dialog fixed
- close event for kicker implemented
- crash at kde shutdown fixed
- toolinfo dialog now shows what requires a tool
- displaying username in connection status fixed
- extra route for gateway added (pptp)
- crash on pptp disconnect fixed
- empty pfs fixed (vpnc)
- empty dh group fixed (vpnc)
- resolv.conf corruption on connecting fixed (pptp)
- option for fixing the path mtu problem added (http://pptpclient.sourceforge.net/howto-diagnosis.phtml#connections_freeze)
- certificate support for vpnclient added
 	- cert file import
 	- cisco cert store management
 	- online enrollment (scep)
- certificate support for original cisco client added
- certificate manager for original cisco client added
- todo list added
- better view in deamonoptions widget and helperprogramoptions widget
- context menu on route listview added
- authentication algorithm now by default disabled (openvpn)
- openvpn smartcard fixes
- better user info at openvpn
- better vtun error handling
- disableDataEncryption for vpnx 0.5.x added
- basic support for vtun added
- profile import improved
- profile saving fixed if profilemanger called
- better information for the user at profile saving
- resolv.conf restore on openvpn fixed
- danish translation added. Thanks to Christiansen <susebruger@mailme.dk> for made it.
- vpnc disconnect fixed
- natt mode none removed from cisco settings (obsolete)
- tooltip for natt mode in cisco settings fixed
- virtual ip on tap mode for openvpn fixed
- tunneldevice type change fixed if virtual ip is disabled
- disable tail for freeswan because it doesnt support plutostderrlog
- option for selecting natt mode for cisco (vpnc) added
- listen detection of already used port improoved
- better error reporting at already used port for openvpn
- first connect doesnt work fixed (bug #9977)
- my_identifier option for racoon added
- freeswan/openswan/strongswan config import added
- bash test added
- use /bin/bash as shell interpreter
- export profiles and global settings added
- import profiles and global settings added
- special chars now replaced with underscore in profile import
- cpu usage reduced by improoved duration event
- 15� donation credits added, Andreas Diestelmann
- 30$ donation credits added, thanks to Frank Visconti
- patch for setting DNS_UPDATE applied  (thanks to Igor Bujna)
- restoring route and resolv.conf on connecting state fixed (vpnc)
- path for pptp fixed
- disable nat-t for vpnc >= 0.4.x fixed
- pcf import fixed (udp port)
- process environment fixed
- local ip address of tunnel is now right shown (pptp)
- pptp route problem fixed
- pptp is now right terminating
- adding/removing additional network routes are now right shown in log
- colored log output in logviewer
- option for count of lines in logviewer added
- searching in logviewer content added
- progress bar at loading logfile on logviewer added
- debug console now usees qtextbrowser instead qtextedit
- resolv.conf/resolvconf fixes
- setting english as environment for processes
- pptp debug level renamed to log level
- pptp debug option added
- virtual ip check in preferencesdialog fixed
- virtual ip option in newprofile wizard added
- virtual ip option for pptp added
- mru settings in network general settings added (for pptp)
- mtu and mru settings in network settings at newprofile wizard added
- default value for mtu and mru in newprofile wizard changed to 1492
- xl2tpd detection fixed
- ipsec log parsing fixed
- l2tpd parsing enhanced
- debug option for l2tpd added
- debug option for xl2tpd added
- save username, password and psk in enterpassworddialog reworked
- pfs and dh group settings moved from advanced settings dialog to cisco and racoon settings
- application version and single des option moved to cisco settings
- profile saveing time improved
- vpnc 0.3.2 is working again
- new reject message from vpnc 0.5.0 will now regonized
- option for openvpn auth direction added
- additional network route can now be modified
- removing password entry from pap-secrets/chap-secrets file fixed
- made test of replacedefaultroute more reliable
- psk in file fixed
- virtual ip in preferences dialog fixed (openvpn)
- reconnect delay fixed
- option for userdefinied dns search domain added (pptp)
- virtual ip entry fixed (openvpn)
- support for x2ltpd added
- x2ltpd will be used if availiable instead of l2tpd
- duration in tooltip added
- debug output for vpnc config added (if loglevel > 3)
- empty ID will now reported and stops connecting (vpnc)
- requiremppe128 detection for pppd added
- cancel at user data dialog fixed
- support for propritary (original) cisco client added

* Tue May 01 2007 Carsten Schoene <cs@linux-administrator.com>
- openvpn private key password fixed
- private key password dialog fixed
- openvpn import now copy cert files to kvpnc data dir if not absolute path is given
- connection time counter fixed
- crash at pcf import fixed
- option for delay before executing command after connect added
- tunnel device type selection move from openvpn options to network general settings
- tunnel device type selecttion for vpnc >= 0.4.0 added
- ifconfig entry for virtual ip in openvpn config fixed (thanks to Michal Pena)
- nt domain name fixed in wizard and profile setting
- fix for vpnc 0.4.0 which has changed udp option

authorization method added: pap (pptp)
* Tue Feb 13 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.8
- tool detection fixed
- credits for swedish, japanese translatorsm, artworker and bughunter added
- smartcard options moved to separate part
- on timeout now the user got hints on a messagebox
- an profile rename the user can enter new name again after failed because illegal chars entered
- if peer uses another cipher and reports that, kvpnc automaticlly fix it (openvpn)
- cert and psk settings are spit in seperate widgets
- preferences dialog reworked for smaller size
- http proxy is now splitted from openvpn settings
- pkcs11-tool added to helper programs
- user data can now entered at wizard (cisco)
- option to change background color for debug console added
- smartcard support for strongswan added
- kvpnc now only asks for passphrase if private key is protected with a passphrase
- openvpn import now asks for username and password if auth is requested in import file
- openvpn import fixes
- if peer uses another tunnel type (tun/tap) and reports that, kvpnc automaticlly fix it (openvpn)
- if peer uses another authentication algorithm and reports that, kvpnc automaticlly fix it (openvpn)
- crash at failed port binding for openvpn management port fixed
- vpnc detection fixed
- better freeswan/openswan/strongswan detection
- kvpnc now shows the ipsec type (openswan, strongswan, freeswan)
- float option for allowing change of peers ip address added (openvpn)
- float option for allowing change of peers ip address added in wizard and import (openvpn)
- default authentication algorithm is now set to MD5 (openvpn)
- smardcard options implemented in newprofile wizard
- option for hide at startup added
- automatic backup of kvpnc config added
- automatic restore of network routes, resolv.conf and config added
- smartcard support added (openvpn)
- openvpn smartcard handler fixes
- connection status check fixed
- options for authentication and encryption algorithms added (racoon)
- l2tp support added (racoon)
- l2tp support added (openswan)
- racoon fixes
- openswan fixes
- menu entry for reporting bugs added
- menu entry for donate money now works if run via kdesu
- feedback mail report added
- option for authentication algorithm added (openvpn)
- certificate import fixes
- option for killing still running racoon (if not from kvpnc started) added
- option for killing still running l2tpd (if not from kvpnc started) added
- crash on connecting state of racoon fixed
- default route option now moved to network - route
- dcop functions added:
   void doSendFeedbackMail()
   QStringList getProfileTypes()
- iptables support for racoon added
- nt domain name for authentication added (pptp)

* Wed Dec 13 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.7

* Fri Sep 29 2006 Carsten Schoene <cs@linux-administrator.com>
- build of bugfix release 0.8.6.1 for SuSE 10.0

* Mon Sep 25 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to release 0.8.6

* Fri May 19 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to bugfix release 0.8.5.1

* Thu May 18 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.5

* Sat Apr 08 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.4

* Sun Mar 05 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.3

* Tue Feb 21 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.3-rc5 (test-build) 

* Mon Dec 26 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.2.1

* Sat Dec 24 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.2 , requirement of libcrypto++ is replaced with libgcrypt

* Mon Oct 24 2005 Carsten Schoene <cs@linux-administrator.com>
- first working build for SuSE 10.0, needs libcrypto++

* Fri Oct 07 2005 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 10.0

